Bug 607087 - bnx2x panic dumps with multiple interfaces enabled [rhel-5.5.z]
Summary: bnx2x panic dumps with multiple interfaces enabled [rhel-5.5.z]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5.5
Hardware: All Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: ZStream
Depends On: 602402 609184
Blocks: 556823 602694
TreeView+ depends on / blocked
 
Reported: 2010-06-23 07:42 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:20 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Upon startup, the bnx2x network driver experienced a panic dump when more than one network interface was configured to start up at boot time. With this update, statistics counter initialization for function IDs greater than "1" has been disabled, with the result that bnx2x no longer panic dumps when more than one interface has the "ONBOOT=yes" directive set.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 18:29:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0504 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-07-01 18:26:58 UTC

Description RHEL Product and Program Management 2010-06-23 07:42:52 UTC
This bug has been copied from bug #602402 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 3 Jiri Pirko 2010-06-23 21:25:35 UTC
in 2.6.18-194.8.1.el5

Comment 7 Dmitry Kravkov 2010-06-28 08:36:46 UTC
Hi,
In order to see the issue you should configure the interface in MF mode
(you should see 8 NICs), link must be up and bnx2i loaded.

Does it help?
Dmitry

Comment 9 Douglas Silas 2010-06-28 20:54:35 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Upon startup, the bnx2x network driver experienced a panic dump when more than one network interface was configured to start up at boot time. With this update, statistics counter initialization for function IDs greater than "1" has been disabled, with the result that bnx2x no longer panic dumps when more than one interface has the "ONBOOT=yes" directive set.

Comment 11 Alan Pevec 2010-06-30 22:16:08 UTC
*** Bug 602694 has been marked as a duplicate of this bug. ***

Comment 14 errata-xmlrpc 2010-07-01 18:29:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0504.html


Note You need to log in before you can comment on or make changes to this bug.